Extending Qt Creator Manual | JsonFieldPage

Extending Qt Creator Manual 4.5.2

# JsonFieldPage Class

(ProjectExplorer::JsonFieldPage)

Inherits: | Utils::WizardPage

- List of all members, including inherited members

## Public Types

class | Field
typedef | FieldFactory

## Public Functions

| JsonFieldPage(Utils::MacroExpander *expander, QWidget *parent = 0)
| ~JsonFieldPage() override
void | cleanupPage() override
void | clearError() const
Utils::MacroExpander * | expander()
void | initializePage() override
bool | isComplete() const override
QFormLayout * | layout() const
bool | setup(const QVariant &data)
void | showError(const QString &m) const

- 4 public functions inherited from Utils::WizardPage

## Static Public Members

void | registerFieldFactory(const QString &id, const FieldFactory &ff)

### Additional Inherited Members

- 1 signal inherited from Utils::WizardPage

## Member Type Documentation

### typedef JsonFieldPage::FieldFactory

## Member Function Documentation

### JsonFieldPage::JsonFieldPage(Utils::MacroExpander *expander, QWidget *parent = 0)

Default constructs an instance of JsonFieldPage.

### JsonFieldPage::~JsonFieldPage()

Destroys the instance of JsonFieldPage.

### void JsonFieldPage::cleanupPage()

### void JsonFieldPage::clearError() const

### Utils::MacroExpander *JsonFieldPage::expander()

### void JsonFieldPage::initializePage()

### bool JsonFieldPage::isComplete() const

### QFormLayout *JsonFieldPage::layout() const

### `[static]` void JsonFieldPage::registerFieldFactory(const QString &id, const FieldFactory &ff)

### bool JsonFieldPage::setup(const QVariant &data)

### void JsonFieldPage::showError(const QString &m) const